searchNodes=[{"doc":"Read temperature and pressure from a Bosch BM280, BME280, or BME680 sensor","ref":"BMP280.html","title":"BMP280","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"BMP280.html#child_spec/1","title":"BMP280.child_spec/1","type":"function"},{"doc":"Detect the type of sensor that is located at the I2C address If the sensor is a known BMP280 or BME280 the response will either contain :bmp280 or :bme280 . If the sensor does not report back that it is one of those two types of sensors the return value will contain the id value that was reported back form the sensor. The bus address is likely going to be 0x77 (the default) or 0x76.","ref":"BMP280.html#detect/2","title":"BMP280.detect/2","type":"function"},{"doc":"Force the altitude to a known value Altitude calculations depend on the accuracy of the sea level pressure estimate. Since the sea level pressure changes based on the weather, it needs to be kept up to date or altitude measurements can be pretty far off. Another way to set the sea level pressure is to report a known altitude. Call this function with the current altitude in meters. This function returns an error if the attempt to sample the current barometric pressure fails.","ref":"BMP280.html#force_altitude/2","title":"BMP280.force_altitude/2","type":"function"},{"doc":"Measure the current temperature, pressure, altitude An error is return if the I2C transactions fail.","ref":"BMP280.html#measure/1","title":"BMP280.measure/1","type":"function"},{"doc":"","ref":"BMP280.html#read/1","title":"BMP280.read/1","type":"function"},{"doc":"Return the type of sensor This function returns the cached result of reading the ID register. if the part is recognized. If not, it returns the integer read.","ref":"BMP280.html#sensor_type/1","title":"BMP280.sensor_type/1","type":"function"},{"doc":"Start a new GenServer for interacting with a BMP280 Normally, you'll want to pass the :bus_name option to specify the I2C bus going to the BMP280.","ref":"BMP280.html#start_link/1","title":"BMP280.start_link/1","type":"function"},{"doc":"Update the sea level pressure estimate The sea level pressure should be specified in Pascals. The estimate is used for altitude calculations.","ref":"BMP280.html#update_sea_level_pressure/2","title":"BMP280.update_sea_level_pressure/2","type":"function"},{"doc":"BMP280 GenServer start_link options :name - a name for the GenServer :bus_name - which I2C bus to use (e.g., &quot;i2c-1&quot; ) :bus_address - the address of the BMP280 (defaults to 0x77) :sea_level_pa - a starting estimate for the sea level pressure in Pascals","ref":"BMP280.html#t:options/0","title":"BMP280.options/0","type":"type"},{"doc":"The type of sensor in use If the sensor is unknown, then number in the parts ID register is used.","ref":"BMP280.html#t:sensor_type/0","title":"BMP280.sensor_type/0","type":"type"},{"doc":"One sensor measurement report The temperature, pressure and relative humidity measurements are computed directly from the sensor. All other values are derived.","ref":"BMP280.Measurement.html","title":"BMP280.Measurement","type":"module"},{"doc":"","ref":"BMP280.Measurement.html#t:t/0","title":"BMP280.Measurement.t/0","type":"type"},{"doc":"BMP280 Read temperature and pressure from Bosch BMP180, BMP280 , BME280 , and BME680 sensors in Elixir.","ref":"readme.html","title":"BMP280","type":"extras"},{"doc":"Here's an example use (most sensors are at address 0x77, but some are at 0x76): iex&gt; { :ok , bmp } = BMP280 . start_link ( bus_name : &quot;i2c-1&quot; , bus_address : 0x77 ) { :ok , # PID &lt; 0 . 29929 . 0 &gt; } iex&gt; BMP280 . measure ( bmp ) { :ok , % BMP280.Measurement { altitude_m : 138.96206905098805 , dew_point_c : 2.629181073094435 , gas_resistance_ohms : 5279.474749704044 , humidity_rh : 34.39681642351278 , pressure_pa : 100818.86273677988 , temperature_c : 18.645856498100876 , timestamp_ms : 885906 } } Depending on your hardware configuration, you may need to modify the call to BMP280.start_link/1 . See BMP280.options/0 for parameters. All measurements are reported in SI units. The altitude measurement is computed from the measured barometric pressure. To be accurate, it requires either the current sea level pressure or the current altitude. Here's an example: iex&gt; BMP280 . force_altitude ( bmp , 100 ) :ok Subsequent altitude reports should be more accurate until the weather changes.","ref":"readme.html#usage","title":"BMP280 - Usage","type":"extras"},{"doc":"Nerves Livebook Firmware contains BMP280 example, which shows you how to work with the BMP280 sensor on the Nerves projects with example code that is runnable from the comfort of your browser.","ref":"readme.html#nerves-livebook-firmware","title":"BMP280 - Nerves Livebook Firmware","type":"extras"},{"doc":"Please check out this other Elixir library BMP3XX for Bosch BMP388 and BMP390 sensors.","ref":"readme.html#bmp3xx","title":"BMP280 - BMP3XX","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Fixes Fix dew point calculation from raising when sensor can't measure the relative humidity","ref":"changelog.html#v0-2-10","title":"Changelog - v0.2.10","type":"extras"},{"doc":"New features Add BMP180 support","ref":"changelog.html#v0-2-9","title":"Changelog - v0.2.9","type":"extras"},{"doc":"Improvements Mention BMP3XX in readme Log helpful message on init Add credo as a code quality tool Refactor comm modules in a way they can focus on communicating with the device Fixes Fix typespec links in the hexdoc","ref":"changelog.html#v0-2-8","title":"Changelog - v0.2.8","type":"extras"},{"doc":"Improvements Update Circle config for OTP 24 Remove the &quot;Support for other Bosch barometric sensors&quot; section from README Fixes Halt the sensor initialization when device is not found","ref":"changelog.html#v0-2-7","title":"Changelog - v0.2.7","type":"extras"},{"doc":"Improvements Make README.md the main doc page Add &quot;Nerves Livebook Firmware&quot; section to README.md Fixes Fix broken CI link","ref":"changelog.html#v0-2-6","title":"Changelog - v0.2.6","type":"extras"},{"doc":"New features Stable basic gas support API changes none Improvements Restructure internal code organization. Change ambient temperature estimate from 30 C to 25 C for setting up gas measurements Fixes Sleep 10 ms after soft reset so that the sensor data can be read properly. Correct the parser for gas-related calibration data. Previously, some data types were wrong. Fix a broken link to BMP280 sensor in README.","ref":"changelog.html#v0-2-5","title":"Changelog - v0.2.5","type":"extras"},{"doc":"This release adds support for reading the BME680's gas resistance sensor. In the future, this will be converted to an indoor air quality measurement. API changes Sensor measurements are now obtained by calling BMP280.measure/1 for consistency with other Elixir sensor libraries. BMP280.read/1 is deprecated. Improvements The library now polls the sensor once a second. Calls to BMP280.measure/1 return the latest reading rather than making an I2C transaction. Measurements now include a timestamp ( System.monotonic_time(:millisecond) ) Various internal code improvements to make it easier to support many Bosch sensors","ref":"changelog.html#v0-2-4","title":"Changelog - v0.2.4","type":"extras"},{"doc":"New features Support temperature, humidity and pressure measurements on the BME680. VOC measurements are not supported yet.","ref":"changelog.html#v0-2-3","title":"Changelog - v0.2.3","type":"extras"},{"doc":"Note: This release removes the non-SI conversion helper functions. They were inconsistently defined, and it seems better for some other library to care more about conversions. New features Add dew point approximation","ref":"changelog.html#v0-2-2","title":"Changelog - v0.2.2","type":"extras"},{"doc":"Bug fixes Fix BMP280.detect/2 so that it only probes one I2C bus address.","ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras"},{"doc":"New features Add support for the BME280 and for reading relative humidity measurements from it","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"Fixes Fixed :bus_address parameter. It was incorrectly referred to as :address when used.","ref":"changelog.html#v0-1-1","title":"Changelog - v0.1.1","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]